using System;
using Knihovna;

namespace pokusy
{
    class Program
    {
        const int mezProFaktoril = 12;

        public static int Faktoril(int n)
        {
            if (n < 0)
            {
                throw new Exception("Faktoril " + n + " nen definovn.");
            }
            if (n > mezProFaktoril)
            {
                throw new Exception("Pli velk slo: " + n);
            }

            int vsledek = 1;
            while(n > 1)
            {
                vsledek *= n--;
            }
            return vsledek;
        }
        static void Main(string[] args)
        {
            int n = 0;
            try
            {
                Console.Write("Zadej nezporn cel slo: ");
                n = Vstup.tiInt();
                Console.WriteLine($"Jeho faktoril je {Faktoril(n)}");
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
        }
    }
}
