// Soubor  Euler.cs
//
// Vpoet Eulerova sla e
// jako pklad pouit cyklu do-while
// Pouv Vstup.dll, nutno pekldat
// csc /r:Vstup.dll euler.cs
namespace euler
{
    using System;
    using Knihovna;
    class Euler
    {   // Vpoet e se zadanou pesnost
        public static double VypotejE(double pesnost)
        {
            double vsledek = 2, stanec = 1;        // s je souet, d je stanec
            int i = 2;                                // Pot, kolikt stanec
            do
            {
                stanec /= i++;                      // Vypoti dal stanec
                vsledek += stanec;                 // a piti ho k soutu
            } while (stanec > pesnost);            // Je-li men ne pesnost, hotovo
            return vsledek;
        }
    }

    class Program
    {
        static void Main()
        {
            Console.Write("Vpoet sla e\nZadej pesnost: ");
            double pesnost = Vstup.tiDouble();
            double e = Euler.VypotejE(pesnost);
            Console.WriteLine("Vypoten hodnota e s pesnost " + pesnost + ":");
            Console.WriteLine(e);
            Console.WriteLine("Hodnota konstanty Math.E:");
            Console.WriteLine(Math.E);
        }
    }
}