using System;
using System.Collections.Generic;

namespace příkaz_yield
{
    public class NáhodnáČísla
    {
        private Random generátor = new Random();
        public int Počet { get; set; } = 10;

        public IEnumerable<double> Číslo()
        {
            int i = 0;
            while (i++ < Počet)
            {
                yield return generátor.NextDouble();
            }
        }
        public NáhodnáČísla(int počet) => Počet = počet;
    }

    public class Program
    {
        static void Main()
        {
            NáhodnáČísla čísla = new NáhodnáČísla(10);
            foreach (var x in čísla.Číslo())
            {
                Console.WriteLine($"{x}");
            }
        }
    }
}