using System;

namespace prvntda
{
    class Bod
    {
        public Bod(int x, int y, int barva)
        {
            (_x, _y, _barva) = (x, y, barva);
            poet++;
        }

        public void Deconstruct(out int x, out int y) =>
            (x, y) = (_x, _y);
        private int _x, _y;
        private readonly int _barva;
        private static int poet = 0;
    }
    
    class Program
    {
        public static void Vypi(int prvn, int druh) => Console.WriteLine("{0}, {1}", prvn, druh);
      
        public static void Proho(int a, int b)
        {
            int c = a;
            a = b;
            b = c;
        }

        public static void Proho(ref int a, ref int b)
        {
            int c = a;
            a = b;
            b = c;
        }

        public static void Inicializace(out int n) => n = 12345;

    public static void Znaky(char znak = '*', int poetOpakovn = 5)
    {
        for(int i = 0; i < poetOpakovn; i++)
        {
            Console.Write(znak);
        }
        Console.WriteLine();
    }

        static void Main(string[] args)
        {
            int a = 7, b;
            Inicializace(out b);
            Vypi(a, b);
            Znaky('+', 6);
            Proho(a, b);
            Vypi(a, b);
            Znaky();
            Proho(ref a, ref b);
            Vypi(druh: b, prvn: a);
            Znaky('-');
        }
    }
}