// Soubor Cislo.cs
// Ukazuje pedefinovn metody v potomkovi 
// BEZ POZDN VAZBY,
// tedy s pouitm modifiktoru new
// Vedle toho ukazuje voln konstruktoru pedka
// a voln metody pedka z metody potomka.
namespace numero
{
    using System;
public class slo          // Tda zapouzdujc int
{
    protected int slo;
    public slo(int n)
    {
        slo = n;
    }
    public long Faktoril() // Vpoet faktorilu, nehld peteen
    {
        long vsledek = 1;
        for (int i = 2; i <= slo; i++)
        {
            vsledek *= i;
        }
        return vsledek;
    }
    public long CifernSouet()
    {
        long vsledek = 0;
        for (int x = Math.Abs(slo); x != 0; x /= 10)
        {
            vsledek += x % 10;
        }
        return vsledek;
    }
}

    public class Lepslo : slo // Tot jako pedek, ale hld se peteen
    {
        public Lepslo(int n)
            : base(n)               // Voln konstruktoru pedka
        { }
        new public long Faktoril() // Hld se sprvnost vsledku: zporn parametr a peteen
        {
            if (slo < 0)
            {
                throw new Exception("Faktoril nen definovn");
            }
            long vsledek = 1;
            checked
            {
                for (int i = 2; i <= slo; i++) vsledek *= i;
            }
            return vsledek;
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            Lepslo n1 = new Lepslo(23);
            slo n2 = new Lepslo(23);           // Nebude se chovat polymorfn!!!!
                                                     //Console.WriteLine(n1.Faktoril()); // Vyvol vjimku
            //Console.WriteLine(n1.Faktoril());
            Console.WriteLine(n2.Faktoril());   // Nevyvol vjimku - vol se metoda pedka
        }
    }
}