// Soubor Test.cs
// Ukazuje chyby pi pouvn nestatickch sloek ze 
// statick metody 
// Pi pekladu z pkazov dky dostaneme upozornn, e 
// datov sloky a a b jsme neinicializovali a e budou mt
// hodnotu 0.

using System;
namespace pokus
{
    class Test
    {
        int a;              // Nestatick atribut
        static int b;       // Statick atribut
        int F() => a + b;
        static void Pozdrav() => Console.WriteLine("Nazdar");
        public static void Main()
        {
            Console.WriteLine(b);   // OK  b je statick atribut
            //Console.WriteLine(a); // CHYBA  nestatick atribut
            //F();                  // CHYBA  nelze volat  nestatickou metodu 
            Pozdrav();              // OK - metoda Pozdrav() je statick 
            Test t = new Test();    // Vytvome instanci
            t.F();                  // OK  pro knkrtn instanci lze
        }                           // volat nestatickou metodu
    }
}