using System;
using System.Collections.Generic;
using System.Linq;

namespace nulovateln
{
    class Program
    {
        int GetSumOfFirstTwoOrDefault(int[] numbers)
        {
            if ((numbers?.Length ?? 0) < 2)
            {
                return 0;
            }
            return numbers[0] + numbers[1];
        }

        static double Souet(List<double[]> sla, int index)
        {
            return sla?[index]?.Sum() ?? double.NaN;
        }
        static void Main(string[] args)
        {
            var sla = new List<double[]>();
            sla.Add(new double[] { 1, 2, 3 });
            sla.Add(null);
            sla.Add(new double[] { 4, 5, 6 });
            int i = 0;
            while (i < 3)
            {
                Console.Write(Souet(sla, i++) + " ");
            }
        }
    }
}
