using System;
using System.Text;

namespace Knihovna
{
    public class EOFException: Exception
    {
        public EOFException() { }
        public EOFException(string zprva) : base(zprva) { }
    }
    public class Vstup
    {
        static string dka = null;
        static int index = 0;
        static int dlka = 0;
        private static void tidku()
        {
            dka = Console.ReadLine();
            if (dka == null)
            {
                throw new EOFException("ten za koncem souboru.");
            }
            index = 0;
            dlka = dka.Length;
        }

        private static void PeskoMezery()
        {
            while (index < dlka && dka[index] == ' ')
            {
                index++;
            }
        }

        private static string DalSlovo()
        {
            if (dka == null)
            {
                tidku();
            }
            PeskoMezery();
            while (index == dlka)
            {
                tidku();
                PeskoMezery();
            }
            StringBuilder slovo = new StringBuilder("");
            while (index < dlka && dka[index] != ' ')
            {
                slovo.Append(dka[index++]);
            }
            return slovo.ToString();
        }
        private static string tietzec()
        {
            if (dka == null || index == dka.Length - 1)
            {
                tidku();
            }
            StringBuilder etzec = new StringBuilder("");
            while (index < dlka)
            {
                etzec.Append(dka[index++]);
            }
            return etzec.ToString();
        }

        public static int tiInt() => Convert.ToInt32(DalSlovo());

        public static double tiDouble() => Convert.ToDouble(DalSlovo());
        public static bool ti(out int n)
        {
            try
            {
                n = tiInt();
                return true;
            }
            catch(EOFException)
            {
                n = default(int);
                return false;
            }
        }

        public static bool ti(out double n)
        {
            try
            {
                n = tiDouble();
                return true;
            }
            catch (EOFException)
            {
                n = default(double);
                return false;
            }
        }
    }
}