using System;
using System.Linq;

namespace PythagorejskéTrojice
{
   
    class Program
    {
        private static void PythagorejskéTrojice(int n)
        {
            var všechnyTrojice = from a in Enumerable.Range(1, n)
                                    from b in Enumerable.Range(1, n)
                                    from c in Enumerable.Range(1, n)
                                    where (a <= b) && (a * a + b * b == c * c)
                            select (první: a, druhá: b, třetí: c);
            foreach (var (první, druhá, třetí) in všechnyTrojice)
            {
                Console.WriteLine($"{první}^2 + {druhá}^2 = {třetí}^2");
            }
        }
        static void Main(string[] args)
        {
            PythagorejskéTrojice(20);
        }
    }
}
