using System;
using System.Linq;
using System.Collections.Generic;

namespace pokusySLinq
{
    
    class Program
    {
        static string[] texty = {"Ztra je pondl", "protoe jsem to ekl", "tak to plat, pitomci" };

        private static void Vpis<T>(IEnumerable<T> data)
        {
            foreach (var daj in data)
            {
                Console.WriteLine(daj);
            }
            Console.WriteLine("---");
        }

        static void Main(string[] args)
        {
            var dotaz = from dka in texty
                        let slova = dka.Split(' ')
                        from slovo in slova
                        where slovo.ToUpper().StartsWith("P")
                        select slovo;
            Vpis(dotaz);
        }
    }
}
