﻿using System;
using System.Windows;

namespace bomba
{
    /// <summary>
    /// Interakční logika pro MainWindow.xaml
    /// </summary>
    public partial class HlavníOkno : Window
    {
        private readonly Časovač časovač;
        private int i = 0, j = 0;
        private readonly string[] textNápisu = { "Tik", "Tak" };
        private readonly string[] nápisNaTlačítku = { "Tikej", "Netikej" };
        public HlavníOkno()
        {
            InitializeComponent();
            časovač = new Časovač(500)
            {
                Povolen = false
            };
            časovač.Tik += Tiknutí;
        }

        private void Tiknutí(object odesílatel, EventArgs ea)
        {
            Dispatcher.Invoke((Action)(()=> Nápis.Content = textNápisu[i]));
            i = 1 - i;
        }

        private void Tlačítko_Click(object sender, RoutedEventArgs e)
        {
            j = 1 - j;
            Tlačítko.Content = nápisNaTlačítku[j];
            časovač.Povolen = !časovač.Povolen;
        }
    }
}
