﻿using System;
using System.Collections.Generic;
using System.Text;

namespace souběh
{
    class Schránka
    {
        private int první = 1, druhá = -1;
        private long počet = 0;
        private void Kontrola()
        {
            if (první + druhá != 0)
            {
                Console.WriteLine($"Nekonzistence dat po {počet} čteních. Program končí.");
                Environment.Exit(1);
            }
        }

        public void Příjem(int první, int druhá)
        {
            (this.první, this.druhá) = (první, druhá);
        }
        public override string ToString()
        {
            Kontrola();
            return $"{první} {druhá}";
        }
        public string Data()
        {
            počet++;
            return ToString();
        }
    }
}
