﻿namespace analýza
{
    class Analyzátor
    {
        private const string MEZERY = " \n\r\t\v";      // Oddělovače slov v textu

        public int PřeskočMezery(string řádek, int od)  // Přeskočí mezery v textu, najde další slovo nebo konec řádku
        {                                               // a vrátí index prvního znaku slova nebo -1,
            if (od >= řádek.Length) { return -1; }      // narazí-li na konec řádku

            while (MEZERY.IndexOf(řádek[od]) >= 0)
            {
                if (++od == řádek.Length)
                {
                    return -1;
                    };
            }   
            return od;
        }

        public void Analyzuj(string řádka, Slovník slovník) // Vlastní analýza
        {
            if (řádka == "") return;
            int i = 0;

            System.Text.StringBuilder slovo = null;
            i = PřeskočMezery(řádka, i);
            while (i >= 0)
            {
                slovo = new System.Text.StringBuilder("");
                while ((i < řádka.Length) && (MEZERY.IndexOf(řádka[i]) == -1))
                {
                    slovo.Append(řádka[i++]);
                }
                slovník.Vlož(slovo.ToString());
                i = PřeskočMezery(řádka, i);
            }
        }
    }
}
