using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Faktoril
{
    class Program
    {
        public static ulong Faktoril(int n)
        {
            if (n < 0)
            {
                throw new Exception("Faktoril " + n + " nen definovn");
            }
            ulong vsledek = 1;
            while(n>1)
            {
                vsledek = checked(vsledek * (ulong)n--);
            }
            return vsledek;
        }

        public static ulong Faktoril1(int n)
        {
            if (n < 0)
            {
                throw new Exception("Faktoril " + n + " nen definovn");
            }
            ulong vsledek = 1;
            checked
            {
                while (n > 1)
                {
                    vsledek = vsledek * (ulong)n--;
                }
            }
            return vsledek;
        }
        static void Main(string[] args)
        {
            int i = 0;
            while (i < 22)
            {
                Console.WriteLine("Faktoril {0} je {1}", i, Faktoril(i));
                i++;
            }
        }
    }
}
