using System;
using System.Collections.Generic;
using System.Linq;

namespace komplex
{
    public struct Komplex
    {
        public double Re { get; set; }
        public double Im { get; set; }
        public Komplex(double re, double im) => (Re, Im) = (re, im);
        public readonly override string ToString()
        {
            return "(" + Re + ", " + Im + ")";
        }
        public readonly Komplex Plus(Komplex z) => new Komplex(Re + z.Re, Im + z.Im);
    }
    public interface IPklad
    {
        void F();
        const int N = 6;
        static void Pozdrav() => Console.WriteLine("Nazdar, lidi");
        virtual int H() => 4;
    }

    public class Pklad : IPklad
    {
        public void F()
        {
            Console.WriteLine("Uctiv poklona");
        }
        //public override int H() => 7;
    }


    public interface IUloiteln
    {
        void Zapi();
    }

    public interface IKniha
    {
        void Zapi();
    }

    public class DruhPokus : IUloiteln, IKniha
    {
        void IUloiteln.Zapi()
        {
            throw new NotImplementedException();
        }

        void IKniha.Zapi()
        {
            throw new NotImplementedException();
        }
    }

    public class Program
    {
        public static void Main(string[] arg)
        {
            DruhPokus dp = new DruhPokus();
            ((IUloiteln)dp).Zapi();
            Pklad abc = new Pklad();
            int i = IPklad.N;
            IPklad.Pozdrav();
           
        }
    }
}
