using System;
using System.Collections.Generic;

namespace nulovateln
{
    class Zsobnk
    {
        private int[] data;
        private int kapacita;
        int vrchol = -1;
        public Zsobnk(int velikost)
        {
            kapacita = velikost;
            data = new int[kapacita];
        }

        bool Przdn()
        {
            return vrchol == -1;
        }

        bool Pln()
        {
            return vrchol == kapacita - 1;
        }

        public void Vlo(int x)
        {
            if (Pln())
            {
                throw new Exception("Peplnn zsobnk");
            }
            data[++vrchol] = x;
        }

        public int? Vyjmi()
        {
            if (Przdn())
            {
                return null;
            }
            return data[vrchol--];
        }
    }
    class Program
    {

        static void Main(string[] args)
        {
            Zsobnk zsobnk = new Zsobnk(5);
            zsobnk.Vlo(6);
            int i = zsobnk.Vyjmi() ?? 0;
            int? j = zsobnk.Vyjmi();
            if(!j.HasValue)
            {
                Console.WriteLine("przdno");
            }
        }
    }
}
