using System;
using System.Diagnostics;

namespace Aserce
{
    class Program
    {
        private const int mezProFaktoril = 12;
        public static int Faktoril(int n)
        {
            Debug.Assert((n >= 0) && (n <= mezProFaktoril), $"Hodnota {n} le mimo dovolen rozmez");
            int vsledek = 1;
            while(n>1)
            {
                vsledek *= n--;
            }
            return vsledek;
        }
        static void Main(string[] args)
        {
            int m = 4;
            System.Console.WriteLine($"Faktoril {m} je {Faktoril(m)}");
            m = 99;
            System.Console.WriteLine($"Faktoril {m} je {Faktoril(m)}"); 
        }
    }
}
