using System;
using Knihovna;

namespace pokusy
{
    class Program
    {
        const int mezProFaktoril = 12;

        public static int Faktoril(int n)
        {
            if ((n < 0)||(n > mezProFaktoril))
            {
                throw new ArgumentException($"Pro hodnotu {n} nelze faktoril vypotat.");
            }
            int vsledek = 1;
            while (n > 1)
            {
                vsledek *= n--;
            }
            return vsledek;
        }
        static void Main(string[] args)
        {
            int n = 0;
            try
            {
                Console.Write("Zadej nezporn cel slo: ");
                n = Vstup.tiInt();
                Console.WriteLine($"Faktoril sla {n} je {Faktoril(n)}. ");
                Console.WriteLine("Vpoet se podail.");
            }
            catch (ArgumentException ex)
            {
                Console.WriteLine($"slo {n} le mimo dovolen rozsah. " + ex.Message);
            }
            catch(FormatException ex)
            {
                Console.WriteLine("To nen sprvn zapsan slo. " + ex.Message);
            }
            catch
            {
                Console.WriteLine("Neznm chyba, kontaktujte dodavetele.");
            }
            Console.WriteLine("Nashledanou.");
        }
    }
}
