using System;
using System.Data.SqlClient;
using System.IO;
using Knihovna;

namespace pokusy
{
    class Program
    {
        const int mezProFaktoril = 12;
        public static int Faktoril(int n)
        {
            if (n < 0)
            {
                throw new ArgumentException($"Pro hodnotu {n} nelze faktoril vypotat.");
            }
            int vsledek = 1;
            while (n > 1)
            {
                checked { vsledek *= n--; }
            }
            return vsledek;
        }

        public static void Vpoet(int n)
        {
            try
            {
                int hodnota = Faktoril(n);
                DataZeSouboru();
                // ... Dal zpracovn 
            }
            catch (Exception ex)
            {
                klid();
                throw new InvalidOperationException("Vpoet se nezdail", ex);
            }
        }

        public static void klid() { }
        public static void DataZeSouboru()
        {
            throw new IOException();
        }


        static void Main(string[] args)
        {
            int n = 0;
            try
            {
                Vpoet(n);
                Console.WriteLine("Vpoet se podail.");
            }
            catch (InvalidOperationException ex)
                   when (ex.InnerException is ArgumentException)
            {
                Console.WriteLine($"slo {n} je zporn. "
                                  + ex.Message);
            }
            catch (InvalidOperationException ex)
                   when (ex.InnerException is ArithmeticException)
            {
                Console.WriteLine($"slo {n} je pli velk. "
                                  + ex.Message);
            }
            catch (InvalidOperationException ex)
                   when (ex.InnerException is IOException)
            {
                Console.WriteLine("Chyba souboru. " + ex.Message);
            }

            catch
            {
                Console.WriteLine("Neznm chyba, kontaktujte dodavatele.");
            }
            Console.WriteLine("Nashledanou.");
        }

    }
}
