using System;
using System.Linq;
using System.Collections.Generic;

namespace pokusySLinq
{
    class Zkaznk
    {
        public int Id { get; set; }
        public string Jmno { get; set; }
        public Zkaznk(int id, string jmno) => (Id, Jmno) = (id, jmno);
        public static implicit operator Zkaznk((int id, string jmno) pom)=>new Zkaznk(pom.id,  pom.jmno);
    }

    class Objednvka
    {
        public int slo { get; set; }
        public int IdZkaznka { get; set; }
        public Objednvka(int slo, int id) => (slo, IdZkaznka) = (slo, id);
        public static implicit operator Objednvka((int slo, int id) pom) => new Objednvka(pom.slo, pom.id);
    }
    class Program
    {
        static Zkaznk[] zkaznci = {(1, "Novk"), (2, "Voprlek"), (3, "Kanrek")};
        static Objednvka[] objednvky = {(1, 1), (1, 2) };
        
        static void Main(string[] args)
        {
            var dotaz = from zkaznk in zkaznci
                        join objednvka in objednvky on zkaznk.Id equals objednvka.IdZkaznka into celek
                        from obj in celek.DefaultIfEmpty(new Objednvka(0, 0))
                        select new { Jmno = zkaznk.Jmno, Objedn = obj };
            foreach (var prvek in dotaz)
            {
                Console.WriteLine(prvek.Jmno + ": Objednvka: " + 
                    (prvek.Objedn.slo == 0 ? "dn" : prvek.Objedn.slo.ToString()));
            }
        }
    }
}
