using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SeznamCS
{    class Nstroje
    {
        public static void Vypi<T>(IEnumerable<T> kolekce)
        {
            foreach (var i in kolekce)
            {
                Console.Write(i + " ");
            }
            Console.WriteLine("\n---");
        }
    }
    class Program
    {
        static void Main(string[] args)
        {
            Seznam<int> s = new Seznam<int>(8, 5, 7, 11, 12, 81);
            var dotaz = from n in s
                        where n % 2 == 1
                        orderby n descending
                        select n * n;
            Nstroje.Vypi(dotaz);
        }
    }
}
