﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using NPS = ProblémNDam.Properties.Settings;

namespace ProblémNDam
{
    static class Nastavení
    {
        public static int MinimumDam { get; set; } = 4;
        public static int MaximumDam { get; set; } = 15;
        public static int PočátečníHodnota { get; set; } = 8;
        public static Color Barva { get; set; } = Color.Red;
        public static void ObnovitVýchozí()
        {
            MinimumDam = NPS.Default.Minimum;
            MaximumDam = NPS.Default.Maximum;
            PočátečníHodnota = NPS.Default.VýchozíPočet;
            Barva = NPS.Default.Barva;
        }
    }
}
