using System;
using System.Windows;
using System.Windows.Input;

namespace BezXAML
{
    public class Okno : Window
    {
        public Okno()
        {
            Title = "Stiskni njak tlatko myi a uvid";
            MouseDown += StiskMyi;
        }

        private readonly string[] tlatko = { "prav", "lev", "stedn", "prvn roziujc", "druh roziujc" };

        void StiskMyi(object sender, MouseButtonEventArgs args)
        {
            string zprva = string.Format("Stiskl jsi {0} tlatko v bod ({1})",
                              tlatko[(int)args.ChangedButton], 
                              args.GetPosition(this));
            MessageBox.Show(zprva, Title);
        }
    }
}