using System;
using System.Threading;

namespace Fond
{
    class DataPodprocesu
    {
        public AutoResetEvent Událost { get; set; }
        public string Text { get; set; }
        public DataPodprocesu(AutoResetEvent událost, string text) => (Událost, Text) = (událost, text);
    }
    class Program
    {
        private static readonly int kolikrát = 5;
        private static void Výpis(object data)
        { 
            for (int i = 0; i < kolikrát; i++)
            {
                System.Console.WriteLine(((DataPodprocesu)data).Text);
            }
            ((DataPodprocesu)data).Událost.Set();
        }
        static void Main(string[] args)
        {
            AutoResetEvent[] události = { new AutoResetEvent(false), new AutoResetEvent(false) };
            System.Console.WriteLine("Pějme všichni sborem:");
            ThreadPool.QueueUserWorkItem(Výpis, new DataPodprocesu(události[0], "Kočka leze dírou"));
            ThreadPool.QueueUserWorkItem(Výpis, new DataPodprocesu(události[1], "Pes oknem"));
            WaitHandle.WaitAll(události);
            System.Console.WriteLine("Nebude-li pršet, nezmoknem");
        }
    }
}
