﻿using System;
using System.Collections.Generic;
using System.Text;

namespace souběh
{
    class Schránka
    {
        private int první = 1, druhá = -1;
        private long počet = 0;
        private readonly Object zámek = new Object();
        private void Kontrola(int první, int druhá)
        {
            if (první + druhá != 0)
            {
                Console.WriteLine($"Nekonzistence dat po {počet} čteních. Program končí.");
                Environment.Exit(1);
            }
        }

        public void Příjem(int první, int druhá)
        {
            lock(zámek)
            {
                (this.první, this.druhá) = (první, druhá);
            }
        }
        public override string ToString()
        {
            int _první, _druhá;
            lock(zámek)
            {
                (_první, _druhá) = (první, druhá);
            }
            Kontrola(_první, _druhá);
            return $"{_první} {_druhá}";
        }
        public string Data()
        {
            počet++;
            return ToString();
        }
    }
}
